REM This command file rebuilds the JGo package and its example programs
REM using the J2SDK-SE v1.4.2.
REM
REM Modify the following symbols for the correct locations on your system
REM
set JGOROOT=C:\JGoSWT521Eval
set JAVABIN=C:\JDK1.4.2\bin
set JAVACLASSES=C:\JDK1.4.2\jre\lib\rt.jar;%JGOROOT%\swt.jar;%JGOROOT%\JGoSWT.jar;%JGOROOT%\JGoSWTSVG.jar;%JGOROOT%\JGoSWTLayout.jar;%JGOROOT%
REM
REM
REM Compiling Example classes
REM
cd %JGOROOT%\com\nwoods\jgo\examples
%JAVABIN%\javac -deprecation -classpath %JAVACLASSES% *.java
REM
REM Compiling Demo1
REM 
cd %JGOROOT%\com\nwoods\jgo\examples\demo1SWT
%JAVABIN%\javac -deprecation -classpath %JAVACLASSES% *.java
REM
REM Compiling Classier
REM
cd %JGOROOT%\com\nwoods\jgo\examples\classierSWT
%JAVABIN%\javac -deprecation -classpath %JAVACLASSES% *.java
REM
REM Compiling FamilyTree
REM
cd %JGOROOT%\com\nwoods\jgo\examples\familySWT
%JAVABIN%\javac -deprecation -classpath %JAVACLASSES% *.java
REM
REM Compiling Processor
REM 
cd %JGOROOT%\com\nwoods\jgo\examples\processorSWT
%JAVABIN%\javac -deprecation -classpath %JAVACLASSES% *.java
REM
REM Compiling SampleApp
REM 
cd %JGOROOT%\com\nwoods\jgo\examples\sampleappSWT
%JAVABIN%\javac -deprecation -classpath %JAVACLASSES% *.java
REM
REM
REM Running Demo1:
REM
cd %JGOROOT%\com\nwoods\jgo\examples\demo1SWT
%JAVABIN%\java -Djava.library.path=%JGOROOT% -classpath %JAVACLASSES% com.nwoods.jgo.examples.demo1SWT.Demo1
REM
REM Running MinimalApp:
REM
cd %JGOROOT%\com\nwoods\jgo\examples
%JAVABIN%\java -Djava.library.path=%JGOROOT% -classpath %JAVACLASSES% com.nwoods.jgo.examples.MinimalApp
REM
REM Running BasicApp:
REM
cd %JGOROOT%\com\nwoods\jgo\examples
%JAVABIN%\java -Djava.library.path=%JGOROOT% -classpath %JAVACLASSES% com.nwoods.jgo.examples.BasicApp
REM
REM Running IconicApp:
REM
cd %JGOROOT%\com\nwoods\jgo\examples
%JAVABIN%\java -Djava.library.path=%JGOROOT% -classpath %JAVACLASSES% com.nwoods.jgo.examples.IconicApp
REM
REM Running Classier:
REM
cd %JGOROOT%\com\nwoods\jgo\examples\classierSWT
%JAVABIN%\java -Djava.library.path=%JGOROOT% -classpath %JAVACLASSES% com.nwoods.jgo.examples.classierSWT.Classier
REM
REM Running FamilyTree:
REM
cd %JGOROOT%\com\nwoods\jgo\examples\familySWT
%JAVABIN%\java -Djava.library.path=%JGOROOT% -classpath %JAVACLASSES% com.nwoods.jgo.examples.familySWT.FamilyTree
REM
REM Running Processor:
REM
cd %JGOROOT%\com\nwoods\jgo\examples\processorSWT
%JAVABIN%\java -Djava.library.path=%JGOROOT% -classpath %JAVACLASSES% com.nwoods.jgo.examples.processorSWT.Processor
REM
REM Running SampleApp:
REM
cd %JGOROOT%\com\nwoods\jgo\examples\sampleappSWT
%JAVABIN%\java -Djava.library.path=%JGOROOT% -classpath %JAVACLASSES% com.nwoods.jgo.examples.sampleappSWT.SampleApp
REM
cd %JGOROOT%
