package com.nwoods.jgo.examples;
import com.nwoods.jgo.*;

import org.eclipse.swt.*;
import org.eclipse.swt.graphics.*;

public class AutoLinkNodePort extends GeneralNodePort {
  public AutoLinkNodePort() {
    setSize(8, 8);
  }

  public void linkChange() {
    super.linkChange();
    if (getNumLinks() == 0 && getParent() instanceof GeneralNode) {
      GeneralNode node = (GeneralNode)getParent();
      if (isOnLeftSide())
        node.removeLeftPort(getIndex());
      else
        node.removeRightPort(getIndex());
    }
  }
}
